CREATE TABLE cjm_document_lines_int (
    BATCH_ID                        NUMBER(18, 0) ,
    INTERFACE_ROW_ID                NUMBER(18, 0) ,
    IMPORT_JOB_NUMBER               VARCHAR2(520) ,
    FILE_RECORD_NUM                 NUMBER(18, 0) ,
    FILE_NAME_SYSTASK_ID            NUMBER(18, 0) ,
    IMPORT_STATUS_CODE              VARCHAR2(4)   ,
    ERROR_MESSAGE                   VARCHAR2(4000),
    ACTION_CODE                     VARCHAR2(120) ,
    INTERNAL_ACTION_CODE            VARCHAR2(120) ,
    BATCH_TRANSACTION_TYPE_CODE     VARCHAR2(120) ,
    BU_ID                           NUMBER(18, 0) ,
    BU_NAME                         VARCHAR2(960) ,
    VENDOR_ID                       NUMBER(18, 0) ,
    VENDOR_NAME                     VARCHAR2(400) ,
    VENDOR_NUMBER                   VARCHAR2(120) ,
    VENDOR_SITE_ID                  NUMBER(18, 0) ,
    VENDOR_SITE_CODE                VARCHAR2(960) ,
    HEADER_COMMENTS                 VARCHAR2(4000),
    ITEM_ID                         NUMBER(18, 0) ,
    ITEM_NUMBER                     VARCHAR2(1200),
    ITEM_DESCRIPTION                VARCHAR2(960) ,
    INVENTORY_ORGANIZATION_ID       NUMBER(18, 0) ,
    INVENTORY_ORG_NAME              VARCHAR2(960) ,
    INVENTORY_ORGANIZATION_CODE     VARCHAR2(72)  ,
    RECEIVING_INVENTORY_ORG_ID      NUMBER(18, 0) ,
    RECEIVING_INVENTORY_ORG_CODE    VARCHAR2(72)  ,
    PRC_BU_ID                       NUMBER(18, 0) ,
    PRC_BU_NAME                     VARCHAR2(960) ,
    PO_NUMBER                       VARCHAR2(120) ,
    PO_DATE                         DATE          ,
    PO_LINE_NUMBER                  NUMBER        ,
    RECEIVING_LOCATION_ID           NUMBER(18, 0) ,
    RECEIVING_LOCATION_CODE         VARCHAR2(240) ,
    RECEIVING_LOCATION_NAME         VARCHAR2(960) ,
    LINE_COMMENTS                   VARCHAR2(4000),
    ORIG_SYSTEM_SOURCE              VARCHAR2(960) ,
    ORIG_SYSTEM_REFERENCE           VARCHAR2(960) ,
    ORIG_SYSTEM_LINE_REFERENCE      VARCHAR2(960) ,
    CURRENCY_CODE                   VARCHAR2(60)  ,
    PO_LINE_REQ_DELIVERY_DATE       DATE          ,
    PO_LINE_REQ_SHIP_DATE           DATE          ,
    RECEIVING_TRANSACTION_QTY       NUMBER        ,
    RECEIVING_TRANSACTION_UOM       VARCHAR2(12)  ,
    RECEIVING_TRX_UNIT_PRICE        NUMBER        ,
    SUPPLIER_INVOICE_LINE_QTY       NUMBER        ,
    SUPPLIER_INVOICE_LINE_UOM       VARCHAR2(12)  ,
    SUPPLIER_INV_LINE_UNIT_PRICE    NUMBER        ,
    PO_BILLTO_LOCATION_ID           NUMBER(18, 0) ,
    PO_BILLTO_LOCATION_CODE         VARCHAR2(240) ,
    PO_SHIPTO_LOCATION_ID           NUMBER(18, 0) ,
    PO_SHIPTO_LOCATION_CODE         VARCHAR2(240) ,
    RECEIPT_NUMBER                  VARCHAR2(200) ,
    RECEIPT_SHIPMENT_NUMBER         VARCHAR2(120) ,
    RECEIPT_SHIPPED_DATE            DATE          ,
    RECEIPT_WAYBILL_NUMBER          VARCHAR2(120) ,
    RECEIPT_BILL_OF_LADING          VARCHAR2(100) ,
    RECEIVING_TRANSACTION_DATE      DATE          ,
    RECEIVING_TRANSACTION_TYPE      VARCHAR2(100) ,
    RECEIVING_TRANSACTION_NUM       VARCHAR2(120) ,
    ORIG_RECEIVING_TRX_NUM          VARCHAR2(120) ,
    RECEIVING_REASON_ID             NUMBER(18, 0) ,
    RECEIVING_REASON_NAME           VARCHAR2(120) ,
    SUPPLIER_INVOICE_NUMBER         VARCHAR2(200) ,
    SUPPLIER_INVOICE_DATE           DATE          ,
    SUPPLIER_INVOICE_TYPE_CODE      VARCHAR2(120) ,
    SUPPLIER_INVOICE_LINE_NUM       NUMBER(18, 0) ,
    TP_ITEM_ID                      NUMBER(18, 0) ,
    TP_ITEM_NUM                     VARCHAR2(1200),
    ORIG_SUPPLIER_INVOICE_NUMBER    VARCHAR2(200) ,
    SUPPLIER_INVOICE_LINE_REASON    VARCHAR2(960) ,
    ORIG_SUPPLIER_INV_LINE_NUM      NUMBER(18, 0) ,
    BILL_TO_ACCOUNT_NUMBER          VARCHAR2(120) ,
    BILL_TO_ACCOUNT_ID              NUMBER(18, 0) ,
    BILL_TO_ACCOUNT_SITE            VARCHAR2(960) ,
    BILL_TO_ACCOUNT_SITE_ID         NUMBER(18, 0) ,
    BILL_TO_CUSTOMER_NAME           VARCHAR2(1440),
    BILL_TO_CUSTOMER_ID             NUMBER(18, 0) ,
    BILL_TO_CUSTOMER_REGISTRY_ID    VARCHAR2(120) ,
    BILL_TO_SITE_USE_ID             NUMBER(18, 0) ,
    ORIG_SALES_ORDER_NUMBER         VARCHAR2(200) ,
    ORIG_SALES_ORDER_LINE_NUMBER    NUMBER(9, 0)  ,
    REQUESTED_ARRIVAL_DATE          DATE          ,
    REQUESTED_SHIP_DATE             DATE          ,
    SALES_INVOICE_NUMBER            VARCHAR2(200) ,
    SALES_INVOICE_TYPE_CODE         VARCHAR2(80)  ,
    SALES_INVOICE_DATE              DATE          ,
    SALES_INVOICE_LINE_NUMBER       NUMBER(18, 0) ,
    SALES_INVOICE_LINE_TYPE_CODE    VARCHAR2(80)  ,
    SALES_ORDER_NUMBER              VARCHAR2(200) ,
    SALES_ORDER_TYPE_CODE           VARCHAR2(120) ,
    SALES_ORDER_DATE                DATE          ,
    SALES_ORDER_LINE_NUMBER         NUMBER(9, 0)  ,
    SALES_ORDER_LINE_TYPE_CODE      VARCHAR2(120) ,
    SALESPERSON_ID                  NUMBER(18, 0) ,
    SALESPERSON_NUMBER              VARCHAR2(120) ,
    SALESPERSON_NAME                VARCHAR2(1440),
    SHIPPED_DATE                    DATE          ,
    SHIPPED_QUANTITY                NUMBER        ,
    SHIPPED_UOM                     VARCHAR2(12)  ,
    CLAIMED_QUANTITY                NUMBER        ,
    SHIP_TO_CUSTOMER_NAME           VARCHAR2(1440),
    SHIP_TO_CUSTOMER_ID             NUMBER(18, 0) ,
    SHIP_TO_CUSTOMER_REGISTRY_ID    VARCHAR2(120) ,
    SHIP_TO_CUSTOMER_SITE           VARCHAR2(960) ,
    SHIP_TO_CUSTOMER_SITE_ID        NUMBER(18, 0) ,
    SHIP_TO_SITE_USE_ID             NUMBER(18, 0) ,
    SOLD_TO_CUSTOMER_NAME           VARCHAR2(1440),
    SOLD_TO_CUSTOMER_ID             NUMBER(18, 0) ,
    SOLD_TO_CUSTOMER_REGISTRY_ID    VARCHAR2(120) ,
    SOLD_TO_CUSTOMER_SITE           VARCHAR2(960) ,
    SOLD_TO_CUSTOMER_SITE_ID        NUMBER(18, 0) ,
    SOLD_TO_SITE_USE_ID             NUMBER(18, 0) ,
    UNIT_LIST_PRICE                 NUMBER        ,
    UNIT_SELLING_PRICE              NUMBER        ,
    CATEGORY_ID                     NUMBER(18, 0) ,
    SALES_BILL_OF_LADING_NUMBER     VARCHAR2(480) ,
    SALES_SHIPMENT_NUMBER           VARCHAR2(120) ,
    SALES_WAYBILL_NUMBER            VARCHAR2(120) ,
    WAREHOUSE_ID                    NUMBER(18, 0) ,
    WAREHOUSE_CODE                  VARCHAR2(72)  ,
    DISTRIBUTOR_NAME                VARCHAR2(1440),
    DISTRI_BILL_TO_ACCT_NUMBER      VARCHAR2(120) ,
    DISTRIBUTOR_REGISTRY_ID         VARCHAR2(120) ,
    DISTRIBUTOR_CLAIM_NUMBER        VARCHAR2(120) ,
    AGREEMENT_NAME                  VARCHAR2(960) ,
    AGREEMENT_NUMBER                VARCHAR2(120) ,
    UNIT_PURCHASE_PRICE             NUMBER        ,
    UNIT_CLAIMED_AMOUNT             NUMBER        ,
    HEADER_ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    HEADER_ATTRIBUTE_CHAR1          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR2          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR3          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR4          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR5          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR6          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR7          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR8          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR9          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR10         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR11         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR12         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR13         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR14         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR15         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR16         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR17         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR18         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR19         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR20         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_NUMBER1        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER2        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER3        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER4        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER5        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER6        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER7        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER8        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER9        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER10       NUMBER        ,
    HEADER_ATTRIBUTE_DATE1          DATE          ,
    HEADER_ATTRIBUTE_DATE2          DATE          ,
    HEADER_ATTRIBUTE_DATE3          DATE          ,
    HEADER_ATTRIBUTE_DATE4          DATE          ,
    HEADER_ATTRIBUTE_DATE5          DATE          ,
    LINE_ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    LINE_ATTRIBUTE_CHAR1            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR2            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR3            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR4            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR5            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR6            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR7            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR8            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR9            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR10           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR11           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR12           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR13           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR14           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR15           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR16           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR17           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR18           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR19           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR20           VARCHAR2(600) ,
    LINE_ATTRIBUTE_NUMBER1          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER2          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER3          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER4          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER5          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER6          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER7          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER8          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER9          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER10         NUMBER        ,
    LINE_ATTRIBUTE_DATE1            DATE          ,
    LINE_ATTRIBUTE_DATE2            DATE          ,
    LINE_ATTRIBUTE_DATE3            DATE          ,
    LINE_ATTRIBUTE_DATE4            DATE          ,
    LINE_ATTRIBUTE_DATE5            DATE          ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    BATCH_ID                        NUMBER(18, 0) ,
    INTERFACE_ROW_ID                NUMBER(18, 0) ,
    IMPORT_JOB_NUMBER               VARCHAR2(520) ,
    FILE_RECORD_NUM                 NUMBER(18, 0) ,
    FILE_NAME_SYSTASK_ID            NUMBER(18, 0) ,
    IMPORT_STATUS_CODE              VARCHAR2(4)   ,
    ERROR_MESSAGE                   VARCHAR2(4000),
    ACTION_CODE                     VARCHAR2(120) ,
    INTERNAL_ACTION_CODE            VARCHAR2(120) ,
    DATA_SOURCE_CODE                VARCHAR2(120) ,
    BU_ID                           NUMBER(18, 0) ,
    BU_NAME                         VARCHAR2(960) ,
    VENDOR_ID                       NUMBER(18, 0) ,
    VENDOR_NAME                     VARCHAR2(400) ,
    VENDOR_NUMBER                   VARCHAR2(120) ,
    VENDOR_SITE_ID                  NUMBER(18, 0) ,
    VENDOR_SITE_CODE                VARCHAR2(960) ,
    HEADER_COMMENTS                 VARCHAR2(4000),
    ITEM_ID                         NUMBER(18, 0) ,
    ITEM_NUMBER                     VARCHAR2(1200),
    ITEM_DESCRIPTION                VARCHAR2(960) ,
    ITEM_REVISION                   VARCHAR2(72)  ,
    VENDOR_ITEM_NUM                 VARCHAR2(1200),
    QUANTITY                        NUMBER        ,
    UOM_CODE                        VARCHAR2(12)  ,
    UNIT_PRICE                      NUMBER        ,
    INVENTORY_ORGANIZATION_ID       NUMBER(18, 0) ,
    INVENTORY_ORG_NAME              VARCHAR2(960) ,
    INVENTORY_ORGANIZATION_CODE     VARCHAR2(72)  ,
    PRC_BU_ID                       NUMBER(18, 0) ,
    PRC_BU_NAME                     VARCHAR2(960) ,
    PO_NUMBER                       VARCHAR2(120) ,
    PO_DATE                         DATE          ,
    PO_LINE_NUMBER                  NUMBER        ,
    RECEVING_LOCATION_ID            NUMBER(18, 0) ,
    RECEIVING_LOCATION_CODE         VARCHAR2(240) ,
    RECEIVING_LOCATION_NAME         VARCHAR2(960) ,
    LINE_COMMENTS                   VARCHAR2(4000),
    ORIG_SYSTEM_SOURCE              VARCHAR2(960) ,
    ORIG_SYSTEM_REFERENCE           VARCHAR2(960) ,
    ORIG_SYSTEM_LINE_REFERENCE      VARCHAR2(960) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    BATCH_TRANSACTION_TYPE_CODE     VARCHAR2(120) ,
    RECEIVING_INVENTORY_ORG_ID      NUMBER(18, 0) ,
    RECEIVING_INVENTORY_ORG_CODE    VARCHAR2(72)  ,
    RECEIVING_LOCATION_ID           NUMBER(18, 0) ,
    CURRENCY_CODE                   VARCHAR2(60)  ,
    PO_LINE_REQ_DELIVERY_DATE       DATE          ,
    PO_LINE_REQ_SHIP_DATE           DATE          ,
    RECEIVING_TRANSACTION_QTY       NUMBER        ,
    RECEIVING_TRANSACTION_UOM       VARCHAR2(12)  ,
    RECEIVING_TRX_UNIT_PRICE        NUMBER        ,
    SUPPLIER_INVOICE_LINE_QTY       NUMBER        ,
    SUPPLIER_INVOICE_LINE_UOM       VARCHAR2(12)  ,
    SUPPLIER_INV_LINE_UNIT_PRICE    NUMBER        ,
    PO_BILLTO_LOCATION_ID           NUMBER(18, 0) ,
    PO_BILLTO_LOCATION_CODE         VARCHAR2(240) ,
    PO_SHIPTO_LOCATION_ID           NUMBER(18, 0) ,
    PO_SHIPTO_LOCATION_CODE         VARCHAR2(240) ,
    RECEIPT_NUMBER                  VARCHAR2(200) ,
    RECEIPT_SHIPMENT_NUMBER         VARCHAR2(120) ,
    RECEIPT_SHIPPED_DATE            DATE          ,
    RECEIPT_WAYBILL_NUMBER          VARCHAR2(120) ,
    RECEIPT_BILL_OF_LADING          VARCHAR2(100) ,
    RECEIVING_TRANSACTION_DATE      DATE          ,
    RECEIVING_TRANSACTION_TYPE      VARCHAR2(100) ,
    RECEIVING_TRANSACTION_NUM       VARCHAR2(120) ,
    ORIG_RECEIVING_TRX_NUM          VARCHAR2(120) ,
    RECEIVING_REASON_ID             NUMBER(18, 0) ,
    RECEIVING_REASON_NAME           VARCHAR2(120) ,
    SUPPLIER_INVOICE_NUMBER         VARCHAR2(200) ,
    SUPPLIER_INVOICE_DATE           DATE          ,
    SUPPLIER_INVOICE_TYPE_CODE      VARCHAR2(120) ,
    SUPPLIER_INVOICE_LINE_NUM       NUMBER(18, 0) ,
    TP_ITEM_ID                      NUMBER(18, 0) ,
    TP_ITEM_NUM                     VARCHAR2(1200),
    ORIG_SUPPLIER_INVOICE_NUMBER    VARCHAR2(200) ,
    SUPPLIER_INVOICE_LINE_REASON    VARCHAR2(960) ,
    ORIG_SUPPLIER_INV_LINE_NUM      NUMBER(18, 0) ,
    BILL_TO_ACCOUNT_NUMBER          VARCHAR2(120) ,
    BILL_TO_ACCOUNT_ID              NUMBER(18, 0) ,
    BILL_TO_ACCOUNT_SITE            VARCHAR2(960) ,
    BILL_TO_ACCOUNT_SITE_ID         NUMBER(18, 0) ,
    BILL_TO_CUSTOMER_NAME           VARCHAR2(1440),
    BILL_TO_CUSTOMER_ID             NUMBER(18, 0) ,
    BILL_TO_CUSTOMER_REGISTRY_ID    VARCHAR2(120) ,
    BILL_TO_SITE_USE_ID             NUMBER(18, 0) ,
    ORIG_SALES_ORDER_NUMBER         VARCHAR2(200) ,
    ORIG_SALES_ORDER_LINE_NUMBER    NUMBER(9, 0)  ,
    REQUESTED_ARRIVAL_DATE          DATE          ,
    REQUESTED_SHIP_DATE             DATE          ,
    SALES_INVOICE_NUMBER            VARCHAR2(200) ,
    SALES_INVOICE_TYPE_CODE         VARCHAR2(80)  ,
    SALES_INVOICE_DATE              DATE          ,
    SALES_INVOICE_LINE_NUMBER       NUMBER(18, 0) ,
    SALES_INVOICE_LINE_TYPE_CODE    VARCHAR2(80)  ,
    SALES_ORDER_NUMBER              VARCHAR2(200) ,
    SALES_ORDER_TYPE_CODE           VARCHAR2(120) ,
    SALES_ORDER_DATE                DATE          ,
    SALES_ORDER_LINE_NUMBER         NUMBER(9, 0)  ,
    SALES_ORDER_LINE_TYPE_CODE      VARCHAR2(120) ,
    SALESPERSON_ID                  NUMBER(18, 0) ,
    SALESPERSON_NUMBER              VARCHAR2(120) ,
    SALESPERSON_NAME                VARCHAR2(1440),
    SHIPPED_DATE                    DATE          ,
    SHIPPED_QUANTITY                NUMBER        ,
    SHIPPED_UOM                     VARCHAR2(12)  ,
    SHIP_TO_CUSTOMER_NAME           VARCHAR2(1440),
    SHIP_TO_CUSTOMER_ID             NUMBER(18, 0) ,
    SHIP_TO_CUSTOMER_REGISTRY_ID    VARCHAR2(120) ,
    SHIP_TO_CUSTOMER_SITE           VARCHAR2(960) ,
    SHIP_TO_CUSTOMER_SITE_ID        NUMBER(18, 0) ,
    SHIP_TO_SITE_USE_ID             NUMBER(18, 0) ,
    SOLD_TO_CUSTOMER_NAME           VARCHAR2(1440),
    SOLD_TO_CUSTOMER_ID             NUMBER(18, 0) ,
    SOLD_TO_CUSTOMER_REGISTRY_ID    VARCHAR2(120) ,
    SOLD_TO_CUSTOMER_SITE           VARCHAR2(960) ,
    SOLD_TO_CUSTOMER_SITE_ID        NUMBER(18, 0) ,
    SOLD_TO_SITE_USE_ID             NUMBER(18, 0) ,
    UNIT_LIST_PRICE                 NUMBER        ,
    UNIT_SELLING_PRICE              NUMBER        ,
    CATEGORY_ID                     NUMBER(18, 0) ,
    SALES_BILL_OF_LADING_NUMBER     VARCHAR2(480) ,
    SALES_SHIPMENT_NUMBER           VARCHAR2(120) ,
    SALES_WAYBILL_NUMBER            VARCHAR2(120) ,
    WAREHOUSE_ID                    NUMBER(18, 0) ,
    WAREHOUSE_CODE                  VARCHAR2(72)  ,
    HEADER_ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    HEADER_ATTRIBUTE_CHAR1          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR2          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR3          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR4          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR5          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR6          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR7          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR8          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR9          VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR10         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR11         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR12         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR13         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR14         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR15         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR16         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR17         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR18         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR19         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_CHAR20         VARCHAR2(600) ,
    HEADER_ATTRIBUTE_NUMBER1        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER2        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER3        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER4        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER5        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER6        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER7        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER8        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER9        NUMBER        ,
    HEADER_ATTRIBUTE_NUMBER10       NUMBER        ,
    HEADER_ATTRIBUTE_DATE1          DATE          ,
    HEADER_ATTRIBUTE_DATE2          DATE          ,
    HEADER_ATTRIBUTE_DATE3          DATE          ,
    HEADER_ATTRIBUTE_DATE4          DATE          ,
    HEADER_ATTRIBUTE_DATE5          DATE          ,
    LINE_ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    LINE_ATTRIBUTE_CHAR1            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR2            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR3            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR4            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR5            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR6            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR7            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR8            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR9            VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR10           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR11           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR12           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR13           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR14           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR15           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR16           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR17           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR18           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR19           VARCHAR2(600) ,
    LINE_ATTRIBUTE_CHAR20           VARCHAR2(600) ,
    LINE_ATTRIBUTE_NUMBER1          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER2          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER3          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER4          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER5          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER6          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER7          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER8          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER9          NUMBER        ,
    LINE_ATTRIBUTE_NUMBER10         NUMBER        ,
    LINE_ATTRIBUTE_DATE1            DATE          ,
    LINE_ATTRIBUTE_DATE2            DATE          ,
    LINE_ATTRIBUTE_DATE3            DATE          ,
    LINE_ATTRIBUTE_DATE4            DATE          ,
    LINE_ATTRIBUTE_DATE5            DATE          ,
    BATCH_START_DATE                DATE          ,
    BATCH_END_DATE                  DATE          ,
    DISTRIBUTOR_NAME                VARCHAR2(1440),
    DISTRI_BILL_TO_ACCT_NUMBER      VARCHAR2(120) ,
    DISTRIBUTOR_REGISTRY_ID         VARCHAR2(120) ,
    DISTRIBUTOR_CLAIM_NUMBER        VARCHAR2(120) ,
    AGREEMENT_NAME                  VARCHAR2(960) ,
    AGREEMENT_NUMBER                VARCHAR2(120) ,
    UNIT_PURCHASE_PRICE             NUMBER        ,
    UNIT_CLAIMED_AMOUNT             NUMBER        ,
    CLAIMED_QUANTITY                NUMBER        ,
    CONSTRAINT pk_cjm_document_lines_int PRIMARY KEY (BATCH_ID, INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID)
);
